## testrepository 0.0.4

=== Makefile ===
#
# Copyright (c) 2009 Testrepository Contributors
# 
# Licensed under either the Apache License, Version 2.0 or the BSD 3-clause
# license at the users choice. A copy of both licenses are available in the
# project source as Apache-2.0 and BSD. You may not use this file except in
# compliance with one of these two licences.
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under these licenses is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
# license you chose for the specific language governing permissions and
# limitations under that license.

all: README.txt check

.testrepository:
	./testr init

check: .testrepository
	./testr run

check-xml:
	python -m subunit.run testrepository.tests.test_suite | subunit2junitxml -o test.xml -f | subunit2pyunit

release:
	./setup.py sdist upload --sign

README.txt: testrepository/commands/quickstart.py
	./testr quickstart > $@

.PHONY: check check-xml release all

## testrepository 0.0.11

=== debian/changelog ===
testrepository (0.0.11-0ubuntu5) raring; urgency=low

  * debian/patches/disable-failing-tests-on-buildds.patch: Temporarily 
    disble failing tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Jan 2013 07:29:39 -0600

testrepository (0.0.11-0ubuntu4) raring; urgency=low

  * debian/control: Add python-fixtures as a build depends
    to fix a FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Jan 2013 09:01:48 -0600

testrepository (0.0.11-0ubuntu3) raring; urgency=low

  * debian/rules, debian/add-missing-testr-conf.patch:
    Enable testsuite. 
  * Switch to source format 3.0
  * debian/control: Add python-fixtures as a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Jan 2013 14:42:44 -0600

testrepository (0.0.11-0ubuntu2) raring; urgency=low

  * debian/control: Add python-setuptools. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Jan 2013 07:40:01 -0600

testrepository (0.0.11-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * debian/control, debian/rules: Convert to dh_python2

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Jan 2013 07:04:06 -0600

testrepository (0.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make python-testrepository depend on python-subunit (closes: #576957).
    Thanks to Jelmer Vernooij for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 26 Aug 2011 21:26:45 +0200

testrepository (0.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sat, 26 Feb 2011 20:22:14 +1300

testrepository (0.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 12 Sep 2010 08:48:03 +1200

testrepository (0.0.3-1) unstable; urgency=low

  * First debian upload. Closes: #571888
  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 28 Feb 2010 22:41:55 +1100

python-testrepository (0.0.2-2) unstable; urgency=low

  * Grab upstream improvements.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 07 Feb 2010 22:20:18 +1100

python-testrepository (0.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 10 Jan 2010 22:32:57 +1100

python-testrepository (0.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 10 Jan 2010 22:16:09 +1100

=== debian/control ===
Source: testrepository
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
Section: python
Priority: optional
Standards-Version: 3.9.3
Build-Depends:
    cdbs (>= 0.4.90~),
    debhelper (>= 7),
    python (>= 2.6.6-3~), 
    python-setuptools,
    python-testtools,
    python-testresources,
    python-testscenarios,
    python-fixtures,
    python-subunit,
    quilt
XS-Python-Version: all
Homepage: https://launchpad.net/testrepository

Package: testrepository
Architecture: all
Depends: ${python:Depends},
    ${misc:Depends},
    python-testrepository (>= ${source:Version})
Provides: ${python:Provides}
Description: Test result manager
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The testrepository package contains the CLI front end.

Package: python-testrepository
Architecture: all
Depends: ${python:Depends},
    ${misc:Depends},
    python-subunit,
    python-fixtures
Provides: ${python:Provides}
Description: Database of test results - python library
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The python-testrepository package contains the Python testrepository
 library, which can be used for programmatic access to the database.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

common-post-build-indep::
	PYTHONPATH=. make check

## testrepository 0.0.13

=== debian/changelog ===
testrepository (0.0.13-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Feb 2013 09:14:38 +0000

testrepository (0.0.13-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches/add-missing-testr-conf.patch: Dropped
    no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 20 Jan 2013 18:28:04 -0600

testrepository (0.0.11-0ubuntu6) raring; urgency=low

  * debian/control: Add python-tz dependency
  * debian/patches/disable-failing-tests-on-buildds.patch: Dropped 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 13 Jan 2013 21:11:19 -0600

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
     python-testscenarios,
     python-fixtures,
     python-subunit,
+    python-tz,
     quilt
 XS-Python-Version: all
 Homepage: https://launchpad.net/testrepository

## testrepository 0.0.17

=== debian/changelog ===
testrepository (0.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 06:09:43 +0000

testrepository (0.0.14-2) unstable; urgency=low

  * Added missing build-depends: python-setuptools.
  * Ran wrap-and-sort to clean debian/control.
  * Removed X-Python-Version: >= 2.6 which now makes no sense.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 06:27:20 +0000

testrepository (0.0.14-1) unstable; urgency=low

  * New upstream release.
  * Now using format 1.0 parsable debian/copyright.
  * Switched from CDBS to dh_python2.
  * Now using compat and debhelper 9.
  * Now using python module team as maintainer. Added myself as uploader.
  * Switching to 3.0 (quilt) format.
  * Bumped Standard-Version to 3.9.4.
  * Fixed Homepage: filed to use the pypi website.
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Feb 2013 14:28:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: testrepository
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Robert Collins <robertc@robertcollins.net>,
+           Thomas Goirand <zigo@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.3
-Build-Depends:
-    cdbs (>= 0.4.90~),
-    debhelper (>= 7),
-    python (>= 2.6.6-3~), 
-    python-setuptools,
-    python-testtools,
-    python-testresources,
-    python-testscenarios,
-    python-fixtures,
-    python-subunit,
-    python-tz,
-    quilt
-XS-Python-Version: all
-Homepage: https://launchpad.net/testrepository
+Build-Depends: debhelper (>= 9),
+               python-all (>= 2.6.6-3~),
+               python-fixtures,
+               python-setuptools,
+               python-subunit,
+               python-testresources,
+               python-testscenarios,
+               python-testtools
+Standards-Version: 3.9.4
+Homepage: https://pypi.python.org/pypi/testrepository
 
 Package: testrepository
 Architecture: all
-Depends: ${python:Depends},
-    ${misc:Depends},
-    python-testrepository (>= ${source:Version})
+XB-Python-Version: ${python:Versions}
+Depends: python-testrepository (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Provides: ${python:Provides}
 Description: Test result manager
  Testrepository provides a database of test results and supports easy workflows
@@ -37,10 +34,8 @@
 
 Package: python-testrepository
 Architecture: all
-Depends: ${python:Depends},
-    ${misc:Depends},
-    python-subunit,
-    python-fixtures
+XB-Python-Version: ${python:Versions}
+Depends: python-subunit, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 Description: Database of test results - python library
  Testrepository provides a database of test results and supports easy workflows

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	echo "Nothing to do"

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -rf .testrepository .testr.conf build
	cp debian/SOURCES.txt.backup testrepository.egg-info/SOURCES.txt

override_dh_auto_test:
	echo "Nothing to do"

override_dh_install:
	python setup.py install --install-layout=deb --root=debian/tmp
	dh_install

## testrepository 0.0.18

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	./testr init
 
 check: .testrepository
-	./testr run
+	./testr run --parallel
 
 check-xml:
 	python -m subunit.run testrepository.tests.test_suite | subunit2junitxml -o test.xml -f | subunit2pyunit

=== debian/changelog ===
testrepository (0.0.18-1ubuntu1) trusty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Nov 2013 18:48:51 -0500

testrepository (0.0.17-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add python3 support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Oct 2013 11:37:29 -0400

testrepository (0.0.17-0ubuntu1) saucy; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 22:50:17 -0400

testrepository (0.0.15-0ubuntu3) saucy; urgency=low

  * debian/patches/fix-python3-print.patch: Fix python3 bug.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Jul 2013 10:39:51 -0500

testrepository (0.0.15-0ubuntu2) saucy; urgency=low

  * Build for python2/python3. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 13 Jun 2013 08:56:31 -0500

testrepository (0.0.15-0ubuntu1) saucy; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Jun 2013 10:51:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: testrepository
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert Collins <robertc@robertcollins.net>,
            Thomas Goirand <zigo@debian.org>
 Section: python
@@ -11,14 +12,21 @@
                python-subunit,
                python-testresources,
                python-testscenarios,
-               python-testtools
+               python-testtools,
+               python3-all,
+               python3-fixtures,
+               python3-setuptools,
+               python3-testresources,
+               python3-testscenarios,
+               python3-testtools,
+               python3-subunit
 Standards-Version: 3.9.4
 Homepage: https://pypi.python.org/pypi/testrepository
 
 Package: testrepository
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: python-testrepository (>= ${source:Version}),
+Depends: python-testrepository (>= ${source:Version}) | python3-testrepository (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
 Provides: ${python:Provides}
@@ -37,7 +45,7 @@
 XB-Python-Version: ${python:Versions}
 Depends: python-subunit, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
-Description: Database of test results - python library
+Description: Database of test results - python library (python2)
  Testrepository provides a database of test results and supports easy workflows
  to be built on top of that database. For instance, running just failing tests
  or getting the last test run back to examine again (without running the tests
@@ -47,3 +55,19 @@
  .
  The python-testrepository package contains the Python testrepository
  library, which can be used for programmatic access to the database.
+
+Package: python3-testrepository
+Architecture: all
+XB-Python-Version: ${python3:Versions}
+Depends: python3-subunit, ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Database of test results - python library (python3)
+ Testrepository provides a database of test results and supports easy workflows
+ to be built on top of that database. For instance, running just failing tests
+ or getting the last test run back to examine again (without running the tests
+ again). Testrepository is compatible with any test suite that can output
+ subunit. This includes any TAP test suite and any pyunit compatible test
+ suite.
+ .
+ The python-testrepository package contains the Python testrepository
+ library, which can be used for programmatic access to the database.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py build; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py build; \
	done

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -rf .testrepository .testr.conf build
	cp debian/SOURCES.txt.backup testrepository.egg-info/SOURCES.txt

override_dh_auto_test:
	echo "Nothing to do"

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb --root=debian/tmp; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root=debian/tmp; \
	done
	dh_install

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/t/testrepository/testrepository-(.*).tar.gz

## testrepository 0.0.20

=== debian/changelog ===
testrepository (0.0.20-2) unstable; urgency=medium

  * Switch debian/watch to pypi.debian.net redirector.
  * Bump S-V to 3.9.6.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 09 Aug 2015 19:52:16 +0200

testrepository (0.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Fix ordering of paragraphs in debian/copyright.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 13 Sep 2014 19:57:12 +0200

testrepository (0.0.18-5) unstable; urgency=medium

  * Correct license information in debian/copyright; testrepository is
    dual-licensed under Apache 2 / 3-clause BSD (closes: #743854).
    - Thanks to Thorsten Alteholz for the bug report.
  * Upstream source has moved to github.
  * Switch to ASCII-armored upstream keyring in debian/upstream/.
  * Switch back to pybuild.
  * Add a lintian override for the update-alternatives warning.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 03 May 2014 17:49:00 +0200

testrepository (0.0.18-4) unstable; urgency=medium

  * Disabled the unit tests again.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Apr 2014 16:58:02 +0000

testrepository (0.0.18-3) unstable; urgency=medium

  * Added VCS fields.
  * Added Python 3.x support.
  * The python{3,}-testrepository are now providing the /usr/bin/testr
    executable, which is installed using update-alternatives.
  * Going back to using dh_python{2,3} instead of pybuild (Tristan: if you know
    how to do what I'm doing with pybuild, let me know...).
  * Reactivated the test suite.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 22:44:51 +0800

testrepository (0.0.18-2) unstable; urgency=medium

  * Add missing build dependency on dh-python (closes: #738414).
    - Thanks to Hideki Yamane for the patch.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 21 Feb 2014 14:16:40 +0200

testrepository (0.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Set PAPT as Maintainer. (Previously DPMT was set as Maintainer, but the
    package was not actually in DPMT SVN, and PAPT is the correct team for an
    application)
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Switch to pybuild, and remove various unneeded leftovers.
  * Add signature checking to watch file.
  * Install upstream NEWS file.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 15 Jan 2014 22:16:32 +0200

=== debian/control ===
Source: testrepository
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>,
           Thomas Goirand <zigo@debian.org>,
           Tristan Seligmann <mithrandi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-fixtures,
               python-setuptools,
               python-subunit,
               python-testresources,
               python-testscenarios,
               python-testtools,
               python3-all (>= 3.2),
               python3-fixtures,
               python3-setuptools,
               python3-subunit,
               python3-testresources,
               python3-testscenarios,
               python3-testtools,
               subunit
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/testrepository

Package: testrepository
Architecture: all
Depends: python-testrepository (>= ${source:Version}), python3-testrepository (>= ${source:Version}), ${misc:Depends}
Description: unit test system with database of test results - metapackage and doc
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 This package is a metapackage that depends on both Python 2 and 3 packages. It
 also contains the documentation.

Package: python-testrepository
Architecture: all
Depends: python-subunit, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Database of test results - Python 2.x library
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The python-testrepository package contains the Python testrepository
 library for Python 2.x, which can be used for programmatic access to the
 database.

Package: python3-testrepository
Architecture: all
Depends: python3-subunit, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Database of test results - Python 3.x library
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The python3-testrepository package contains the Python testrepository
 library for Python 3.x, which can be used for programmatic access to the
 database.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=testrepository
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python-testrepository/usr/bin/testr \
		$(CURDIR)/debian/python-testrepository/usr/bin/testr-python2
	mv $(CURDIR)/debian/python3-testrepository/usr/bin/testr \
		$(CURDIR)/debian/python3-testrepository/usr/bin/testr-python3

override_dh_clean:
	dh_clean
	rm -rf build .testrepository Makefile dist

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/testrepository/testrepository-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## testrepository 0.0.21

=== Makefile ===
--- 
+++ 
@@ -12,21 +12,24 @@
 # license you chose for the specific language governing permissions and
 # limitations under that license.
 
-all: README.txt check
+all: README.rst check
+
+editable:
+	pip install -e .[test]
 
 .testrepository:
 	./testr init
 
-check: .testrepository
+check: editable .testrepository
 	./testr run --parallel
 
 check-xml:
 	python -m subunit.run testrepository.tests.test_suite | subunit2junitxml -o test.xml -f | subunit2pyunit
 
 release:
-	./setup.py sdist upload --sign
+	python3 -m build --sdist --wheel --outdir dist
 
-README.txt: testrepository/commands/quickstart.py
+README.rst: editable testrepository/commands/quickstart.py
 	./testr quickstart > $@
 
-.PHONY: check check-xml release all
+.PHONY: check check-xml editable release all

=== requirements.txt ===
fixtures
python-subunit >= 0.0.18
testtools >= 0.9.30

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TestRepository.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TestRepository.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TestRepository"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TestRepository"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
testrepository (0.0.21-4) unstable; urgency=medium

  * Team Upload
  * Extend fix-version.patch to avoid /usr/.../testrepository-0.0.0.egg-info/
  * Rewrite d/watch in v5 format
  * Rewrite d/rules with newer & shorter syntax
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Nov 2025 12:54:18 +0100

testrepository (0.0.21-3) unstable; urgency=medium

  * Fixed installed version.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:51:16 +0200

testrepository (0.0.21-2) unstable; urgency=medium

  * Do not package /usr/lib/python3/dist-packages/doc (Closes: #1081323).
  * Add use-raw-strings-to-avoid-warning.patch (Closes: #1081442).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2024 12:03:01 +0200

testrepository (0.0.21-1) experimental; urgency=medium

  [ Colin Watson ]
  * d/watch: Remove pgpsigurlmangle (PyPI no longer supports uploading GPG
    signatures).

  [ Thomas Goirand ]
  * Switch d/watch to use github tags rather than pypi.
  * New upstream release.
  * d/testrepository.docs: README.txt is now README.rst.
  * Completely remove d/upstream folder.
  * Change homepage URL to Github.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 10:37:55 +0200

testrepository (0.0.20-8) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 16:02:32 +0200

testrepository (0.0.20-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 09 Nov 2022 21:03:07 +0000

testrepository (0.0.20-6) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update renamed lintian tag names in lintian overrides.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:17:05 -0400

testrepository (0.0.20-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 16:28:59 +0200

testrepository (0.0.20-4) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Remove Robert Collins from uploaders, as he has retired.  Closes: #920506

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 20:57:14 +0100

testrepository (0.0.20-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Add missing dh-python build-depends.
  * Standards-Version is now 4.1.3.
  * Updated build-depends version and bumped debhelper to 10.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:01:33 +0200

=== debian/control ===
Source: testrepository
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-fixtures,
 python3-setuptools,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/testrepository.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/testrepository
Homepage: https://github.com/testing-cabal/testrepository

Package: python3-testrepository
Architecture: all
Depends:
 python3-subunit,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Database of test results - Python 3.x library
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 The python3-testrepository package contains the Python testrepository
 library for Python 3.x, which can be used for programmatic access to the
 database.

Package: testrepository
Architecture: all
Depends:
 python3-testrepository (>= ${source:Version}),
 ${misc:Depends},
Description: unit test system with database of test results - metapackage and doc
 Testrepository provides a database of test results and supports easy workflows
 to be built on top of that database. For instance, running just failing tests
 or getting the last test run back to examine again (without running the tests
 again). Testrepository is compatible with any test suite that can output
 subunit. This includes any TAP test suite and any pyunit compatible test
 suite.
 .
 This package is a metapackage that depends on both Python 2 and 3 packages. It
 also contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=testrepository
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

execute_after_dh_clean:
	rm -rf build .testrepository Makefile dist

execute_after_dh_fixperms:
	rm -r $(CURDIR)/debian/python3-testrepository/usr/lib/python3/dist-packages/doc

=== debian/watch ===
Version: 5

Template: GitHub
Owner: testing-cabal
Project: testrepository
